﻿@model List<PortalChartView>
@{
    ViewBag.Title = "Index";
    Layout = "~/Areas/Sales/Views/Shared/_Layout.cshtml";
}
@Styles.Render("~/Content/ChartsCSS")
@Scripts.Render("~/bundles/ChartCreator")
<div class="back_sales"></div>
<div class="back_sales_b"></div>

<div class="margin_graphic">
    @{ int mCounter = 0;
        foreach (PortalChartView mPortalChartView in Model.Where(c => c.MenuChart == false))
        {
            <div class="col-sm-6">
                <div class="panel panel-default">
                    <div class="panel-heading">
                        <h3 class="panel-title">@mPortalChartView.ChartName</h3>
                    </div>
                    <div class="panel-body">
                        <div id="ChartDrawPanel_@mCounter" style="width:100%; height:400px;"></div>
                    </div>
                </div>
            </div>
            <script>
                var mListParams = [];
                @foreach(PortalChartParamView mParam in  mPortalChartView.PortalChartParamList)
                {
                    <text>
                        mListParams.push({
                            ParamName: "@mParam.ParamName",
                            ParamValue: "@mParam.ParamValue",
                            ParamFixedValue: "@mParam.ParamFixedValue"
                        });
                    </text>
                }
                getDataAndDrawChart(@mPortalChartView.IdSAPQuery, "@mPortalChartView.IdChartType", "@(mPortalChartView.PortalChartColumns.Count > 0 ? mPortalChartView.PortalChartColumns[0].MappedFieldName : "")", "@(mPortalChartView.PortalChartColumns.Count > 0 ? mPortalChartView.PortalChartColumns[1].MappedFieldName : "")", "ChartDrawPanel_@mCounter", mListParams);
            </script>
            mCounter++;
        }
    }
</div>




